Bug 91703 - vertical maximization doesn't work as expected
Summary: vertical maximization doesn't work as expected
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: LO normal (vote)
Target Milestone: 4.11
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/103...
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2004-10-19 20:19 UTC by Ken Deeter
Modified: 2013-03-25 07:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11
thomas.luebking: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Deeter 2004-10-19 20:19:33 UTC
Version:            (using KDE KDE 3.3.0)
Installed from:    Gentoo Packages

I want to have konsole windows maximized vertically all the time. Dragging them around should always leave them vertically maximized, and I would expect that dragging the window up and down should have no effect (you should only be able to move left and right, because it is maximized.

Also, When I move from one xinerama screen to the other, the window height should change to take up the full vertical space on the new screen. I have two screens, one with a kicker bar, and the other with nothing. It would be nice if when I move the window over to the second screen, the vertical height would adapt automatically to fill the height, and shrink automatically when I bring it back.
Comment 1 Martin Flöser 2011-12-10 09:49:10 UTC
this rule is still broken in current master (4.8)
Comment 2 Thomas Lübking 2011-12-10 12:52:05 UTC
It's not about the rule - onedimensionally windows could be freely moved around ever.
This would likely also be covered by an approach always allowing to move/resize all maximized windows, but enforce higher screen snapzones for them (so you can move such client away from the bounding borders, but it's hard(er) to do)
Comment 3 Thomas Lübking 2013-03-24 21:55:22 UTC
Git commit 395bee6032ca41a1ebf916110ee95aa6056a94ee by Thomas Lübking.
Committed on 17/02/2013 at 01:56.
Pushed by luebking into branch 'master'.

remove moveResizeMaximized option

REVIEW: 103948
Related: bug 299245
FIXED-IN: 4.11

- The setting is ignored, the decoration always gets a "true" for it
- moving a maximized window requires breaking a "strong" snap (1/16 of screen height - unless you use quick maximization)
- all snapping is done towards the client, not the frame
- QuickTileMode is exported to the decoration (just as the maximizeMode) so that it can fix the bordersize alongside that.

M  +1    -0    kwin/bridge.cpp
M  +1    -0    kwin/bridge.h
M  +12   -2    kwin/client.cpp
M  +4    -2    kwin/client.h
M  +74   -42   kwin/geometry.cpp
M  +5    -0    kwin/kcmkwin/kwindecoration/preview.cpp
M  +1    -0    kwin/kcmkwin/kwindecoration/preview.h
M  +12   -1    kwin/libkdecorations/kdecoration.cpp
M  +32   -5    kwin/libkdecorations/kdecoration.h
M  +0    -7    kwin/libkdecorations/kdecoration_p.cpp
M  +0    -1    kwin/libkdecorations/kdecoration_p.h
M  +1    -0    kwin/libkdecorations/kdecorationbridge.h
M  +0    -15   kwin/libkwineffects/kwinglobals.h
M  +1    -0    kwin/workspace.h

http://commits.kde.org/kde-workspace/395bee6032ca41a1ebf916110ee95aa6056a94ee